Part Sphère

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Sphere and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente : Part Cylinder.svg Cylindre
Page suivante : Cône Part Cone.svg Arrow-right.svg

Part Sphere.svg Part Sphère

Emplacement du menu
Part → Primitives → Sphère
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

La commande Part Sphere.svg Part Sphère crée un solide sphérique paramétrique. C'est le résultat de la rotation d'un profil en arc de cercle autour d'un axe. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, le centre de la sphère est positionné à l'origine, et son axe de révolution est l'axe Z.

Une Part Sphère peut être tronquée en haut et/ou en bas en modifiant ses propriétés DonnéesAngle1 et/ou DonnéesAngle2. Il peut être transformé en un segment de sphère en modifiant sa propriété DonnéesAngle3.

Part Sphere Example.png

Utilisation

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Part Sphere.svg Sphère.
    • Sélectionnez l'option Part → Primitives → Part Sphere.svg Sphère dans le menu.
  2. La sphère est créée.
  3. Vous pouvez éventuellement modifier les dimensions et DonnéesPlacement de la sphère en effectuant l'une des opérations suivantes :

Exemple

Part Sphère à partir de l'exemple du script

Un objet Part Sphère créé avec l'exemple du script ci-dessous.

Remarques

  • Une Part Sphère peut également être créée avec la commande Part Primitives.svg Part Primitives. Avec cette commande, vous pouvez spécifier les dimensions et le placement au moment de la création.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Part Sphère est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Attachment

L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.

Sphere

  • DonnéesRadius (Length) : Le rayon de la sphère. La valeur par défaut est 5mm.
  • DonnéesAngle1 (Angle) : L'angle de départ du profil en arc de cercle de la sphère. Plage valide : -90° <= value <= 90°. Ne peut être égal à DonnéesAngle2. La valeur par défaut est -90°.
  • DonnéesAngle2 (Angle) : L'angle final du profil en arc de cercle de la sphère. Plage valide : -90° <= value <= 90°. Ne peut être égal à DonnéesAngle1. La valeur par défaut est 90°. Si l'angle total du profil en arc est inférieur à 180°, la sphère sera tronquée et aura une face plate en haut et/ou en bas.
  • DonnéesAngle3 (Angle) : L'angle total de révolution de la sphère. Plage valide : 0° < value <= 360°. La valeur par défaut est 360°. S'il est inférieur à 360°, le solide résultant sera un segment de sphère.

Script

Voir aussi: Autogenerated API documentation, Part Ecrire un script et Débuter avec les scripts FreeCAD.

Une Part Sphère est créée avec la méthode addObject() du document :

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • "mySphere" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Exemple :

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()


Arrow-left.svg Page précédente : Part Cylinder.svg Cylindre
Page suivante : Cône Part Cone.svg Arrow-right.svg